Skip to content
Sursa Developers

Objects

WebhookDelivery

Fields

  • idintegerrequired
  • webhook_idintegerrequired
  • event_idstringrequired

    Event ID (evt_…), also sent in the X-KB-Event-Id header and in the delivery body.

  • event_typeWebhookEventTyperequired
  • event_created_atstring (date-time)required
  • attemptintegerrequired

    Number of attempts made.

  • statusWebhookDeliveryStatusrequired
  • response_codeinteger | null
  • duration_msinteger | null
  • next_retry_atstring (date-time) | null
  • errorstring | null
  • delivered_atstring (date-time) | null
  • created_atstring (date-time)required
  • updated_atstring (date-time)required
  • sequenceinteger | null

    Number in the delivery order of the webhook (X-KB-Sequence); null for a test delivery.

  • testbooleanrequired

    A test delivery (POST /v1/webhooks/{webhook_id}/test).

  • redelivery_ofinteger | null

    The original delivery, if this one is a redelivery.

  • error_codestring | null

    Neutral code of the last failure: timeout, connection_failed, tls_error, private_address, unresolvable, redirect, http_error, request_failed, endpoint_disabled, event_expired; a cancelled delivery (cancelled) can also have event_not_permitted (the event is outside the rights of the webhook at the time of the attempt, because the rights were narrowed after fan-out) or event_unavailable (the body of a test delivery is no longer available).

Used by

Part of

WebhookDeliveryDetailWebhookDeliveryList